#
# spec file for package python-jenkinsapi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-jenkinsapi
Version:        0.2.28
Release:        4.4
Summary:        A Python API for accessing resources on a Jenkins continuous-integration server
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/salimfadhley/jenkinsapi
Source:         https://pypi.python.org/packages/source/j/jenkinsapi/jenkinsapi-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pytz >= 2014.4
BuildRequires:  python-requests >= 2.3.0
BuildRequires:  python-setuptools
Requires:       python-pytz >= 2014.4
Requires:       python-requests >= 2.3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Jenkins is the market leading continuous integration system, originally created
by Kohsuke Kawaguchi.

Jenkins (and It's predecessor Hudson) are useful projects for automating common
development tasks (e.g. unit-testing, production batches) - but they are
somewhat Java-centric. Thankfully the designers have provided an excellent and
complete REST interface. This library wraps up that interface as more 
conventional python objects in order to make many Jenkins oriented tasks
easier to automate.

This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * username/password auth support for jenkins instances with auth turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views

%prep
%setup -q -n jenkinsapi-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{_bindir}/jenkins_invoke
%{_bindir}/jenkinsapi_version
%{python_sitelib}/*

%changelog
* Wed May  6 2015 benoit.monin@gmx.fr
- update to version 0.2.28:
  * no changelog available
- remove python-nose from build dependency: not needed anymore
- add python-pytz and python-requests as build dependencies
  to ensure their availability
- increase required versions of python-pytz and python-requests
- add jenkinsapi_version binary to the package files
* Fri Jul 11 2014 jw@owncloud.com
- Version bump to 0.2.20
  commit 326b370d084b83ad780569e28dd5ffad908936d1
* Mon Oct 21 2013 speilicke@suse.com
- Initial version
